#include<iostream>
#include<cmath>
using namespace std ;
int a1,b1,c1;
string a,b,c;
int main (){
    cin>>a>>b>>c;
    a1=a.size();
    b1=b.size();
    c1=c.size();


if(a1>=b1 and a1>=c1){
cout<<a;
if(b1>=c1){
    cout<<b<<c;
}
else{
    cout<<cb;
}
}
if(b1>=a1 and b1>=c1){
    cout<<b;
    if(a1>=c1){
        cout<<a<<c;
    }
    else {
        cout<<c<<a;
    }